## org.apache.batik.apps.rasterizer
Class Main.FloatOptionHandler

    java.lang.Object
      org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler
          org.apache.batik.apps.rasterizer.Main.SingleValueOptionHandler
              org.apache.batik.apps.rasterizer.Main.FloatOptionHandler

All Implemented Interfaces:
  Main.OptionHandler

Direct Known Subclasses:
  Main.TimeOptionHandler

Enclosing class:
  Main

    public abstract static class Main.FloatOptionHandler

extends Main.SingleValueOptionHandler

Base class for options which expect the single optionValue to be a float. Subclasses should implement the `handleOption` method which takes a float and an `SVGConverter` as parameters.

Constructor Summary
`Main.FloatOptionHandler()`

Method Summary
`abstract void` `handleOption(float optionValue, SVGConverter c)`
`void` `handleOption(java.lang.String optionValue, SVGConverter c)`

Methods inherited from class org.apache.batik.apps.rasterizer.Main.SingleValueOptionHandler
`getOptionValuesLength, safeHandleOption`

Methods inherited from class org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler
`handleOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.apps.rasterizer.Main.OptionHandler
`getOptionDescription`

Constructor Detail

### Main.FloatOptionHandler

    public Main.FloatOptionHandler()

Method Detail

### handleOption

    public void handleOption(java.lang.String optionValue,
                             SVGConverter c)

  Specified by:
    `handleOption` in class `Main.SingleValueOptionHandler`

### handleOption

    public abstract void handleOption(float optionValue,
                                      SVGConverter c)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.